﻿@model GameStateViewModel

<div class="text-center">
    <h1 class="display-4">Game State</h1>
    <p>@Model.playername game info</p>
</div>





@if (Model.GamePlayer != null)
{

    @if (Model.GamePlayer.IsPlaying == true)
    {<h2>Current Game</h2>
        
            <div class="column">


                <a class="btn btn-primary" style="border:solid;" asp-action="PlayGame" asp-route-id="@Model.GamePlayer.GamePlayerID">Continue Game</a>

                <a class="btn btn-danger" style="border:solid;" asp-action="GameQuit" asp-route-id="@Model.GamePlayer.GamePlayerID">Quit Game</a>
            </div>



        
    }
    else if (Model.GamePlayer.IsPlaying == false)
    {


        <h2> New Game </h2>


        <div class="row">

            <h3>
                <a class="btn btn-info" style="border: solid;" asp-action="StartNewGame" asp-route-id="@Model.GamePlayer.GamePlayerID"> New Game</a>

            </h3>

        </div>
    }

}


<a class="btn btn-info" style="border:solid" asp-action="GamePlayerDetailsView" asp-route-id="@Model.GamePlayer.GamePlayerID">Player Info</a>

